/// <reference types="react" />
import { BaseDataControl } from "./BaseDataControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
export declare class XCheckboxList extends BaseDataControl {
    list: string[];
    requiredOneSelectionAtLeast: boolean;
    getRuntimeValidationIssues(): ValidationIssue[];
    getDesignValidationIssues(): ValidationIssue[];
    render(): JSX.Element;
    private handleChange;
    private getValue;
    private getCheckedByName;
    private validate;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
